For the complete documentation index, see llms.txt. This page is also available as Markdown.

Payout List

How to get your payout detail list.

This endpoint allows you to get payout list.

POST https://sandbox.transfersmile.com/api/payout/list

Headers

Name
Type
Description

Content-Type*

string

application/json; charset=UTF-8

AppId*

string

Your App ID in payout platform

Authorization*

string

signature, generated by SHA256($sorted_params + $app_key)

Request Body

Name
Type
Description

start_time*

string

start_time(UTC), e.g. 2021-07-01 00:00:00

end_time*

string

end_time(UTC), e.g. 2021-08-01 00:00:00

page_num*

integer

paging param, page number, should start from 1, while 0 is incorrect.

page_size*

integer

paging param, rows will be returned, default 0, max 1000

timestamp*

integer

unix timestamp, e.g. 1628512575

{
    "code": 200,
    "msg": "success",
    "time": 1628500091,
    "data": [
        {
            "reference_id": "custom_codexxxx",
            "transaction_id": "TS202108090705014iNqtxektRS",
            "user_name": "GUILHERME ALVES DE SOUZA",
            "bank_id": "EXXXXD", // only supported by pix payout.
            "amount": "0.6",
            "source_amount": "0.6",
            "settlement_amount": "0.6",
            "source_currency": "BRL",
            "arrival_amount": "0.57",
            "arrival_currency": "BRL",
            "exchange_rate": "1",
            "tax": "0.02",
            "fee": "0.01",
            "fee_user": "beneficiary",
            "transaction_status": "PROCESSING",
            "create_time": 1625142259,
            "update_time": 1625142261
        },
        ... ... //json array
    ]
}

How to query all transactions

Request payout/list with (page_num = 1, page_size = 100). If the returned data = page_size, request payout/list again with (page_num = page_num+1). Repeating the requests until the returned data < page_size. The page_size can be adjusted based on the demand.

Example

Note: 94FAC*********************68548 is pagsmile's test merchant id for sandbox, and d6181db0d6548b94b162e75d095b59147172d914699f83b2bd17951a671b6302 is authorization token associated with the test App ID.

Last updated